--- linux/drivers/net/Config.in.hamachi	Tue Jan  4 10:12:17 2000
+++ linux/drivers/net/Config.in	Tue Jan 11 15:01:35 2000
@@ -170,6 +170,7 @@ comment 'Ethernet (1000 Mbit)'
     if [ "$CONFIG_EXPERIMENTAL" = "y" ]; then
       tristate 'Alteon AceNIC/3Com 3C985/NetGear GA620 Gigabit support' CONFIG_ACENIC
       tristate 'Packet Engines Yellowfin Gigabit-NIC support' CONFIG_YELLOWFIN
+      tristate 'Packet Engines Hamachi Gigabit-NIC support' CONFIG_HAMACHI
     fi
     tristate 'SysKonnect SK-98xx support' CONFIG_SK98LIN
 endmenu
--- linux/drivers/net/Space.c.hamachi	Tue Jan  4 10:12:17 2000
+++ linux/drivers/net/Space.c	Tue Jan 11 15:00:26 2000
@@ -124,6 +124,7 @@ extern int dmfe_reg_board(struct device 
 
 /* Gigabit Ethernet adapters */
 extern int yellowfin_probe(struct device *dev);
+extern int hamachi_probe(struct device *dev);
 extern int acenic_probe(struct device *dev);
 extern int skge_probe(struct device *dev);
 
@@ -226,6 +227,9 @@ struct devprobe pci_probes[] __initdata 
 
 #ifdef CONFIG_YELLOWFIN
 	{yellowfin_probe, 0},
+#endif
+#ifdef CONFIG_HAMACHI
+	{hamachi_probe, 0},
 #endif
 #ifdef CONFIG_ACENIC
 	{acenic_probe, 0},
--- linux/drivers/net/Makefile.hamachi	Tue Jan  4 10:12:17 2000
+++ linux/drivers/net/Makefile	Tue Jan 11 15:00:26 2000
@@ -595,6 +595,14 @@ else
   endif
 endif
 
+ifeq ($(CONFIG_HAMACHI),y)
+L_OBJS += hamachi.o
+else
+  ifeq ($(CONFIG_HAMACHI),m)
+  M_OBJS += hamachi.o
+  endif
+endif
+
 ifeq ($(CONFIG_ACENIC),y)
 L_OBJS += acenic.o
 else
